message.h File Reference
`#include "defs.h"`
Include dependency graph for message.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | Message
| Base class for all messages dispatched through the event bus. More...

## Namespaces

namespace | sdi_toolBox
| Root namespace for the sdi_toolBox library.
namespace | sdi_toolBox::desktop
| Desktop-specific components of the sdi_toolBox library.
namespace | sdi_toolBox::desktop::eventBus
| Lightweight thread-safe event bus for decoupled message passing.